<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title> валидация формы </title>
</head>
<body>
    <form onsubmit="return validate()">
        Первое поле: <input type="text" id="inpt1" />
        <br />
        Второе поле: <input type="text" id="inpt2" />
        <br />
        <input type="submit" />
    </form>
    <script>
        function validate() {
            let inpt1 = document.getElementById('inpt1');
            let inpt2 = document.getElementById('inpt2');

            inpt1.value ?
                inpt1.style.background = 'green' :
                inpt1.style.background = 'red';
            inpt2.value ?
                inpt2.style.background = 'green' :
                inpt2.style.background = 'red';

            if(inpt1.value != '' && inpt2.value != '') {
                if(inpt1.value == inpt2.value) {
                    alert('Данные введены корректно!');
                    return true;
                } else {
                    alert('Значения полей не совпадают!');
                    return false;
                }
            }
            alert("Введите данные во все поля!");
            return false;
        }
    </script>
</body>
</html>